%define		status		alpha
%define		pearname	File
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Common file and directory routines
Summary(pl.UTF-8):	%{pearname} - Podstawowe sposoby operacji na plikach i katalogach
Name:		php-pear-%{pearname}
Version:	1.4.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	3cf96cff0ae67c495dbc6714b0cb032a
URL:		http://pear.php.net/package/File/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.573
Requires:	php(core) >= 4.2.0
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-File_CSV
Requires:	php-pear-File_Util
Requires:	php-pear-PEAR-core >= 1:1.5.3
Obsoletes:	php-pear-File-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides easy access to read/write to files along with some common
routines to deal with paths. Also provides interface for handling CSV
files.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Dostarcza prosty dostęp do zapisu/odczytu plików razem z prostymi
metodami operacji na ścieżkach. Dostarcza także interfejsu do plików
CSV.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File.php
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-File.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 719a03b
- updated to: 1.4.1

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> ee175f7
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 859e0c9
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> bff0016
- up to 1.4.0 release

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> cd7f603
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2c6842d
- dropped -tests

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 25387e9
- updated deps with pearize.sh
- release 3

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> a861992
- subpackage deps, build changelog; rel 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> acfd8f6
- up to 1.4.0alpha1-alpha

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a5d5296
- rel 3

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 6727a99
- /usr/share/pear/File belongs to php-pear-dirs now (File_Fortune requires
  only this directory)
- release 2

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 29b58d0
- up to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9bdf7fc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8ebe8a8
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 1639f0b
- rel 6: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> fd79496
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 66a135f
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 88cc477
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 3c22a2c
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 0c26b02
- AutoReq: no for -tests

